Subject: Re: [PATCH] Reorganise and then fixup the pseries cpu hotplug code

From: Srinivasa Ds <[email-masked]>
Date: Mon, 27 Nov 2006 13:43:30 +0530

Michael Ellerman wrote:
> Currently we unconditionally hookup pSeries_mach_cpu_die to ppc_md.cpu_die,
> even if we don't have CONFIG_HOTPLUG_CPU enabled. This is wrong, as it
> signals the sysfs code to create the online attribute for cpu nodes,
> allowing the user to attempt an offline when it's not actually supported.
>
> There is also a problem on systems that don't have the correct RTAS tokens
> available to do RTAS-based cpu hotplug, we still indicate via sysfs that
> we support cpu hotplug - and then attempt to do so with missing RTAS tokens.
>
> Both problems are solved by conditionally registering the cpu hotplug
> callbacks, only when CONFIG_HOTPLUG_CPU is enabled, and only after we've
> found the requisite RTAS tokens.
>
> Signed-off-by: Michael Ellerman <[email-masked]>
> ---
>
> Updated to printk if we can't find the RTAS tokens, and to remove the
> comment about drslot_chrp_cpu etc.
>
> Linas, Srinivasa, can you test that this addresses the problems you
> were seeing. It should, but it'd be good if you could test it.
>   
I tested your patch,it works fine. I didn't see "online" file on my JS20 
system.

Thanks
 Srinivasa DS
 Linux technology centre
 IBM-ISL Bangalore

> cheers